.band-report .brtabbody { position: relative; scrollbar-gutter: stable; } /* stable is to avoid chart reflows - so gutter for scrollbar always reserved */
/* Tab panel with a layout must be made to fill the parent width as its contents will become absolutely positioned
  and so will cease to push it to fill the parent. If we're to have padding we have to have absolute positioned in
  a relative parent to make it full width, the alternative is no padding and using height of 100% */
.band-report .ui-tabs .tab-panel-with-layout { width: auto; height: auto; position: absolute; padding: 5px; top: 0; bottom: 0; left: 0; right: 0; }
	/* Set overflow on the sub tab body (parent gets it from assess-body-inner-content class) */
.band-report { -webkit-print-color-adjust: exact; color-adjust: exact; }
.band-report .brsubtabsnav { list-style-type: none; }
.band-report .brsubtabsbody { overflow: auto; border-top: none; }
.band-report table.brparameterbandtext { width: 100%; margin-top: 5px; border-spacing: 2px 2px; border-collapse: separate; }
.band-report table.brparameterbandtext:not(:first-child) { page-break-before: always; }
/* This helps with handling border conflicts when we have comparisons for the front-end, and also just if we have score highlighting with wkhtmltopdf 1.12.x for pdf generation */
/*.band-report table.brparameterbandtext.with-comparison, body.band-report-pdf table.brparameterbandtext { border-collapse: separate; border-spacing: 0px; }*/
.band-report table.brparameterbandtext td { vertical-align: top; padding: 0px; }
.band-report table.brparameterbandtext td.section { padding: 2px; }
.band-report table.brparameterbandtext td.section h2 { border-bottom: 2px solid #777; }
.band-report table.brparameterbandtext td.score { background-color: #efefef; }
.band-report table.brparameterbandtext td.notcurrent-score { background-color: #f5f5f5; }
.band-report table.brparameterbandtext td.parameter>.label { margin: 0px; padding: 2px 4px;  background-color: #efefef; }
.band-report table.brparameterbandtext td.parameter>.label.has-description { border-bottom: 1px solid #ddd; }
.band-report table.brparameterbandtext td.parameter>.description { margin: 0px; padding: 2px 4px; }
.band-report table.brparameterbandtext td.parameter>.score { text-align: right; font-weight: bold; color: #555; padding: 2px 4px; }
.band-report table.brparameterbandtext td.score { text-align: center; }
.band-report table.brparameterbandtext td.score>div { padding: 2px; }
.band-report table.brparameterbandtext td.comment>div { padding: 2px; }
.band-report table.brparameterbandtext td.current-score { border: 2px solid #333; }
.band-report table.brparameterbandtext td.current-comparison { border: 2px solid #3f3; }
.band-report table.brparameterbandtext td.current-score.current-comparison { border: 2px solid #383; }

.band-report table.brparameterbandtext td.comment div.period .periodlabel { display: inline-block; float: left; margin-right: 5px; color: #444; font-weight: bold; }

.band-report table.brparameterbandtext td.notcurrent-score .score-header { opacity: 0.6; }
.band-report table.brparameterbandtext td.notcurrent-score .score-body { color: #666; }
.band-report table.brparameterbandtext td .score-body { font-size: 90%; }
.band-report table.brparameterbandtext .compband, .band-report .response-report-section table.parameterscorestatements .compband { width: 4px; height: 14px; font-size: 80%; display: inline-block; margin: 1px; cursor: help; }

.band-report table.brparameterbandtext .headings th { color: white; background-color: #aaa; padding: 2px; font-size: 105%;  }
.band-report table.brparameterbandtext .headings th.parameter { background-color: transparent; } 

.band-report .key { margin-top: 1.2em; }
.band-report .key .keyentry { float: left; margin-left: 1em; white-space: nowrap; position: relative; }
.band-report-pdf .key, .band-report-pdf .keytitle { font-size: 1.3em; }
.band-report .key .bullet { position: relative; width: 0.8em; height: 0.8em; margin-right: 0.4em; top: 0.1em; display: inline-block; }

.band-report .structuregroup .structuregrouptitle { font-size: 1.1em; font-weight: bold;  }
.band-report .structuregroup .structureparameters { padding-left: 3em; margin-top: 0.2em; }

/* Allocate more space to left for default columns for display */
.band-report .sectionid-response-summary-left { float: left; width: 46em; }
.band-report .sectionid-response-summary-right { float: left; width: 27em; }

.band-report .sectionid-response-summary-left .sectionid-overall-sdistresp  { margin-left: 12em; }

.band-report .response-compcharts { float: left; width: 36em; }

.band-report .response-report-section .parametername { border-bottom: 1px solid #666; }
.band-report .response-report-section .comment { background-color: #eaeaea; padding: 2px; }

.band-report .response-report-section table.parameterscorestatements { border-spacing: 2px 2px; border-collapse: separate; width: 100%; }
.band-report .response-report-section table.parameterscorestatements td { padding: 0px; vertical-align: top; border: 2px solid white; text-align: center; }
.band-report .response-report-section table.parameterscorestatements td.score { background-color: #efefef; }
.band-report .response-report-section table.parameterscorestatements td.notcurrent-score { background-color: #f5f5f5; }
.band-report .response-report-section table.parameterscorestatements td > div { padding: 2px; }

.band-report .response-report-section table.parameterscorestatements td.current-score { border: 2px solid #333; }
.band-report .response-report-section table.parameterscorestatements td.current-comparison { border: 2px solid #3f3; }
.band-report .response-report-section table.parameterscorestatements td.current-score.current-comparison { border: 2px solid #383; }
.band-report .response-report-section table.parameterscorestatements td.notcurrent-score { color: #666; }

.band-report table.brcomments { border-collapse: collapse; width: 100%; margin-top: 5px; }
.band-report table.brcomments td { padding: 2px; }
.band-report table.brcomments tr.section td { padding: 0px; }
.band-report table.brcomments tr.section h2 { background-color: #eaeaea; padding: 4px 4px; }
.band-report table.brcomments tr.comment td { vertical-align: top; border: 1px solid #aaaaaa; font-size: 90%; }
.band-report table.brcomments tr.comment td.perspective { width: 100px; max-width: 100px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap; }

.band-report .brcontextclick { cursor: pointer; }

.br-contextmenu { z-index: 1000; }

.band-report .page-title .icon.delete { cursor: pointer; }
.band-report .page-title .ui-selectmenu-button.ui-button { width: auto; padding: .4em .4em; max-width: 200px; }
.band-report .page-title .ui-selectmenu-button.ui-button.participant-title { max-width: 400px; }
.band-report .page-title .ui-selectmenu-button.ui-button .text { overflow: hidden; text-overflow: ellipsis; margin-right: 20px; display: block; }
.band-report .page-title.br-mouseout .ui-selectmenu-button.ui-button.notlast .ui-selectmenu-text:after {
  content: "|";
  position: absolute;
  display: inline-block;
  top: 2px;
  right: 9px;
  font-size: 18px;
  width: 0px;
  overflow: visible;
}
.band-report .bandreport-page-title-prefix { opacity: 0.6; margin-right: 5px; }
.band-report .assess-page-title-container .assess-main-action-buttons { margin-top: 4px; }
.band-report tr { break-inside: avoid; }

.band-report .br-pooverride { border-radius: 5px; font-size: 12px; margin-top: 2px; display: inline-block; padding: 2px 5px; color: white; background-color: #bbb; opacity: 0.5; }

/* div versions are for preview in react - TODO is to shift the rendering of the pdf to have a nested div with the same class on so we can remove the duplication */
div.band-report-pdf, body.band-report-pdf { font-family: Arial, "Liberation Sans", "DejaVu Sans"; }
div.band-report-pdf, body.band-report-pdf, .band-report-pdf td, .band-report-pdf th { font-size: 9.5px; } /* NOTE: if changing this then our svg max width/height values later need changing */
div.band-report-pdf h1.br-printed-header, body.band-report-pdf h1.br-printed-header { font-size: 235%; }
div.band-report-pdf h2.br-printed-header, body.band-report-pdf h2.br-printed-header { font-size: 200%; }
div.band-report-pdf h3.br-printed-header, body.band-report-pdf h3.br-printed-header { font-size: 170%; }
div.band-report-pdf h4.br-printed-header, body.band-report-pdf h4.br-printed-header { font-size: 132%; }
div.band-report-pdf h5.br-printed-header, body.band-report-pdf h5.br-printed-header { font-size: 100%; }
div.band-report-pdf div.br-contenthtml, body.band-report-pdf div.br-contenthtml { font-size: 132%; }

div.band-report-pdf img, body.band-report-pdf img { max-width: 72em; max-height: 89em; }
div.band-report-pdf svg, body.band-report-pdf svg, div.band-report-pdf .chartcanvascontainer canvas, body.band-report-pdf .chartcanvascontainer canvas { max-width: 684px; max-height: 845px; } /* Has to be in px as highcharts svgs have a font-size of 12px set on them - if we change body font size then adjust this */
div.band-report-pdf .chartcanvascontainer canvas, body.band-report-pdf .chartcanvascontainer canvas { object-fit: contain; }
body.band-report-pdf.htmlpreview { max-width: 187mm; border-right: 2px solid grey; }
#root > div.band-report-pdf.htmlpreview { max-width: 187mm; height: auto; display: block; }
div.band-report-pdf svg.highcharts-root, body.band-report-pdf svg.highcharts-root { height: auto !important; width: auto !important;} /* Clear these from highcharts svgs */
div.band-report-pdf svg.nipsfchart, body.band-report-pdf svg.nipsfchart { height: auto !important; width: auto !important;} /* Clear these from highcharts svgs */
div.band-report-pdf.assess-pdf-paper-letter img, body.band-report-pdf.assess-pdf-paper-letter img { max-height: 86em; }
div.band-report-pdf.assess-pdf-paper-letter svg, body.band-report-pdf.assess-pdf-paper-letter svg { max-height: 817px; } /* Has to be in px as highcharts svgs have a font-size of 12px set on them - if we change body font size then adjust this */
div.band-report-pdf.assess-pdf-paper-letter .chartcanvascontainer canvas, body.band-report-pdf.assess-pdf-paper-letter .chartcanvascontainer canvas { max-height: 817px; }

.band-report .wordcloud-container.gecko-canvas-baseline-issue .wordcloud-html span { line-height: 0.9em !important; }
.band-report .wordcloud-container { position: relative; padding: 1em; background-color: white; }
.band-report .wordcloud-container .wordcloud-menu-icon { position: absolute; z-index: 1000; right: 5px; top: 0px; margin: 5px 0; color: #555; cursor: pointer; background-color: white; }
.band-report .wordcloud-container .wordcloud-chart-title { width: 100%; position: absolute; text-align: center; font-size: 18px; top: 5px; z-index: 100; }
.wordcloud-menu-icon .top-menu-icon > span { font-size: 18px; }
.wordcloud-menu-icon > .sf-menu { width: 18px;}
.wordcloud-menu-icon > ul li, .wordcloud-menu-icon > ul ul li { background: #fff;  }
.wordcloud-menu-icon > ul ul { width: 160px; left: -142px; top: 18px;  border: 1px solid black; padding-top: 5px; padding-bottom: 5px; background-color: #ffffff; }
.wordcloud-menu-icon > ul ul li { padding: 5px 11px; font-size: 11px; width: 138px; }
div .wordcloud-menu-icon  .e-menu-wrapper.e-hamburger { background: none; }
div .wordcloud-menu-icon:hover  .e-menu-wrapper.e-hamburger .e-menu-icon {  background: #f3f4f6; }
div .wordcloud-menu-icon  .e-menu-wrapper.e-hamburger > ul.e-menu { overflow: visible; width: fit-content; background: #f3f4f6; }
div .wordcloud-menu-icon  .e-menu-wrapper.e-hamburger > ul.e-menu > .e-menu-item { padding-right: 15px; }
div .wordcloud-menu-icon  .e-menu-wrapper.e-hamburger .e-menu-icon { padding: 4px; }
div .wordcloud-menu-icon  .e-menu-wrapper.e-hamburger .e-menu-header { line-height: 20px; height: 20px; }
body.band-report-pdf .wordcloud-menu-icon { display: none; }

.brchartdatatable caption { font-size: 120%; color: #555; font-weight: bold; margin-bottom: 0.2em; }
.brchartdatatable table { border-collapse: collapse; }
.brchartdatatable th, .brchartdatatable td { border: 1px solid #aaa; padding: 2px; vertical-align: top;  }
.brchartdatatable thead th { border-bottom: 2px solid #aaa; vertical-align: bottom; }
.brchartdatatable td.number { text-align: right; }
.brchartdatatable tbody th.text { text-align: right; color: #555; }

.band-report .clear-break { clear: both; display: table; }

.brdashboard .dashboardchartcontainer { width: 180px; display: inline-block; margin: 10px; padding: 5px 2px; overflow: hidden; vertical-align: top; }
.brdashboardinteractive .dashboardchartcontainer { cursor: pointer; background-color: white; border-radius: 10px 10px 10px 10px;  }
.brdashboardinteractive .dashboardchartcontainer:hover { box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.55); } 
.brdashboardinteractive .dashboardchartgroup { background-color: #eee; float: left; clear: both; padding: 5px; margin: 5px 0px; }
.ui-dialog .brdashboardinteractive .dashboardchartgroup, .e-dialog  .brdashboardinteractive .dashboardchartgroup { clear: none; margin: 5px 5px; }
.brdashboard .dashboardchartcontainer.dashboardwordcloud { width: 300px; }
.brdashboard .dashboardchartcontainer.dashboardpie { width: auto; max-width: 400px; }
.brdashboard .dashboardchartcontainer .title { text-align: center; font-weight: bold; color: #555; }
.brdashboard h2 { font-size: 130%; margin: 5px; color: #555; }
.brdashboardinteractive h1 { font-size: 140%; margin: 5px; color: #555; }
.brtabnav li a img, .brtabnav li a .noicon { position: relative; top: 2px; border: none; }
.brtabnav li a .noicon { display: inline-block; height: 16px; }

table.br-wordfreq {
  border-collapse: collapse;
  margin-bottom: 5px;
}
table.br-wordfreq th, table.br-wordfreq td { border: 1px solid #aaa; padding: 2px 5px; }
table.br-wordfreq tr.firstrow th { color: white; background-color: #aaa; }

.band-report .wordfreqtable { display: grid; grid-template-rows: auto; }
.band-report .wordfreqtable .col { display: grid; grid-template-columns: subgrid; grid-template-rows: subgrid; grid-column: span 2; margin: 0 5px; border: 1px solid #aaa; }
.band-report .wordfreqtable .col .heading { grid-column-end: span 2; color: white; background-color: #aaa; padding: 3px; text-align: center; }
.band-report .wordfreqtable .col > div { padding: 0 3px; }
.band-report .wordfreqtable .word { font-size: 95%; color: #555; font-weight: bold;  }
.band-report .wordfreqtable .wordpos1 { font-size: 125%; }
.band-report .wordfreqtable .wordpos2 { font-size: 115%; }
.band-report .wordfreqtable .wordpos3 { font-size: 105%; }
.band-report .wordfreqtable .wordpos4 { font-size: 100%; }
.band-report .wordfreqtable .wordcolour1 { color: #0000cc; }
.band-report .wordfreqtable .wordcolour2 { color: #00cc00; }
.band-report .wordfreqtable .wordcolour3 { color: #00cccc; }
.band-report .wordfreqtable .wordcolour4 { color: #cc00cc; }
.band-report .wordfreqtable .wordcolour5 { color: #cccc00; }
.band-report .wordfreqtable .wordcolour6 { color: #cc0000; }
/*
.band-report .brsubtabschoices .brsubtabsnav li {
  border: none;
  background: none;
}
.band-report .brsubtabschoices .brsubtabsnav li.ui-tabs-active {
  border-bottom: 3px solid #888;
  margin-bottom: -2px;
  padding-bottom: 2px;
}
.band-report .brsubtabschoices .brsubtabsnav {
  border-bottom: 1px solid #aaa;
}
.band-report .brsubtabschoices .brsubtabsnav li a {
  color: #555;
}
.band-report .brsubtabschoices .brsubtabsnav li.ui-state-hover a {
  background-color: #666;
  color: white;  
}
.band-report .brsubtabschoices .brsubtabsnav li.ui-tabs-hover {
  opacity: 1;
}
.band-report .brsubtabschoices .brsubtabsnav li.ui-tabs-active a {
  background-color: white;
  color: black;
}
*/
.band-report-report-page-choices #report-page-tab-choices { border-collapse: collapse; }
.band-report-report-page-choices .report-page-tab-choice.level-1 td { border-bottom: 1px solid black; }
.band-report-report-page-choices .report-page-tab-choice.level-2 td { border-bottom: 1px solid #999; }
.band-report-report-page-choices .report-page-tab-choice.level-3 td { border-bottom: 1px solid #eee; }
.band-report-report-page-choices .report-page-tab-choice.level-1 td.label { font-size: 110%; }
.band-report-report-page-choices .report-page-tab-choice.level-2 td.label { padding-left: 40px; }
.band-report-report-page-choices .report-page-tab-choice.level-3 td.label { padding-left: 80px; font-size: 90%; }
.band-report-report-page-choices, .band-report-report-page { position: absolute; top: 0px; left: 0px; right: 0px; bottom: 0px; z-index: 100; background-color: white; overflow: auto; padding: 10px; }
.band-report-report-page-choices .buttonbar, .band-report-report-page .buttonbar { position: fixed; top: 10px; right: 10px; z-index: 1; }
.band-report-report-page-choices .lowerbuttonbar { margin: 5px 10px; }
.band-report-report-page .pdf-inner { width: 900px; }
.band-report-report-page.for-pdf { visibility: hidden; }

.band-report-report-page .wordcloud-menu-icon  { display: none; }

@media print {
  .band-report-report-page .buttonbar { display: none; }
  .wordcloud-menu-icon  { display: none; }
}


.br-pagebreak-before { page-break-before: always; }

li.br-settingstree-trash > ul { opacity: 0.6; }

@media print {
  .br-page-hasreportpage { display: none; }
  .band-report-report-page-choices { display: none; }
}
/*
@media print and (orientation:landscape) {
  .band-report-report-page .nip-highchart { max-width: 1150px; }
  .band-report-report-page img, .band-report-report-page svg { max-width: 1150px; max-height: 680px; }
}
*/
